# Delete Comments

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/comments/delete/

`DELETE /unified/ticketing/comments/{id}`

Resource: **Comments** · API: **Unified Ticketing API**

## Supported integrations

Jira, Pivotal Tracker, SolarWinds Service Desk, Todoist, Wrike, Zoho Projects

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`ticket`** _(object)_
  Set either ticket or collections.
- **`collections`** _(unknown)_
  Collection with type epic is required.
- **`organization`** _(object)_
- **`workspace`** _(unknown)_
- **`ticket_type`** _(enum)_
  Allowed: `issue`, `task`

## Response body

- **`id`** _(string, required)_
  The unique identifier for a comment
- **`author`** _(object)_
  The id of the user or contact who created the comment
  - **`id`** _(string, required)_
    The id of the user or contact who created the comment
  - **`name`** _(string)_
    The name of the user or contact who created the comment
  - **`username`** _(string)_
    The username of the user or contact who created the comment
  - **`type`** _(string, required)_
    Type of the author
    Allowed: `user`, `contact`, `system`
- **`receiver`** _(object)_
  The id of the user or contact who is receiving the comment
  - **`id`** _(string, required)_
    The id of the user or contact who receiving the comment
  - **`name`** _(string)_
    The name of the user or contact who receiving the comment
  - **`type`** _(string, required)_
    Type of the receiver
    Allowed: `user`, `contact`, `system`
- **`body`** _(string)_
  The body of the comment
- **`html_body`** _(string)_
  The body of the comment in HTML format
- **`ticket`** _(object)_
  The ticket to which the comment belongs
  - **`id`** _(string, required)_
    The unique identifier for a ticket
- **`attachments`** _(array<object>)_
  The attachments of the comment
  - **`id`** _(string)_
    The unique identifier for the attachment
  - **`file_name`** _(string)_
    The attachment's name.
  - **`file_url`** _(string)_
    The URL to download the attachment
  - **`content_type`** _(string)_
    The content type of the attachment
  - **`uploaded_by`** _(object)_
    The user who uploaded the attachment
    - **`id`** _(string)_
      The user who uploaded the attachment
    - **`name`** _(string)_
      The user who uploaded the attachment
  - **`uploaded_by_type`** _(string)_
    The type of the user who uploaded the attachment
  - **`created_at`** _(string)_
    The time when the attachment was created
- **`is_internal`** _(boolean)_
  Whether the comment is internal. True for internal notes left by users.
- **`is_private`** _(boolean)_
  Whether the comment is private or not
- **`channel`** _(object)_
  The medium through which the comment was sent.
  - **`id`** _(string)_
    The unique identifier for the channel
  - **`name`** _(string)_
    The name of the channel
  - **`type`** _(string)_
    The type of the channel
- **`created_at`** _(string)_
  The date and time when the comment was created
- **`updated_at`** _(string)_
  The date and time when the comment was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/comments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/comments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'ticketing',
  'comments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "ticketing",
        "comments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
